* {
  box-sizing: border-box;
}

h1 {
  cursor: pointer;
}

.container {
  margin: 0 auto;
  max-width: 1200px;
}

.Header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  .bucket-icon {
    display: block;
  }
}

.heart-icon {
  position: absolute;
  top: 10px;
  right: 16px;
  z-index: 3;
  width: 28px;
  height: 28px;
}

.Button {
  padding: 9px 6px;
  font-size: 11px;
  border-radius: 6px;
  border: none;
  cursor: pointer;
  color: white;
}

.button-large {
  font-size: 14px;
  padding: 12px 10px;
}

.Modal-wrapper {
  z-index: 9999;
  position: fixed;
  inset: 0;
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: #282c34e1;
}

body:has(.Modal-wrapper) {
  overflow: hidden;
}

.header-icons {
  display: flex;
  align-items: center;
  justify-content: center;
  &-favourite {
    display: flex;
    align-items: center;
    cursor: pointer;
  }
  &-basket {
    margin-left: 20px;
    display: flex;
    align-items: center;
    cursor: pointer;
  }
}

.Modal {
  width: 516px;
  background-color: #ffffff;
  border-radius: 10px;
  overflow: hidden;
  &-header {
    background-color: #dbdbdb;
    padding: 0 20px;
    font-size: 16px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    &-close-btn {
      cursor: pointer;
      background: none;
      border: none;
      color: rgb(110, 110, 110);
      font-size: 26px;
    }
  }
  &-text {
    text-align: center;
    padding: 0 36px;
    font-size: 20px;
  }
  &-submit-btns {
    display: flex;
    justify-content: center;
    padding-bottom: 20px;
    :nth-child(-n + 2) {
      padding: 10px 32px;
    }
    :first-child {
      margin-right: 10px;
    }
  }
}
.modal-overlay {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.5);
  z-index: 9999;
}

.goods-container {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  justify-items: center;
  gap: 10px 0;
  grid-auto-rows: 500px;
  grid-area: goods-container;
}

.product-card {
  width: 100%;
  display: flex;
  flex-direction: column;
  box-shadow: 0px 0px 7px 0px rgba(148, 148, 148, 0.47);
  max-width: 280px;
  border-radius: 6px;
  padding: 10px;
  position: relative;
  &-image img {
    width: 100%;
  }
  &-image {
    display: block;
    text-decoration: none;
    color: black;
    position: relative;
    & img {
      max-height: 364px;
      object-fit: cover;
      border-radius: 4px;
    }
  }
  &-name {
    display: block;
    word-wrap: break-word;
  }

  &-price {
    display: block;
  }

  &-price::after {
    content: ' грн';
  }
  &-price-button-wrapper {
    position: relative;
    margin: auto 10px 10px;
    display: flex;
    justify-content: space-between;
  }
  &-color {
    display: block;
    margin-bottom: 10px;
    margin-top: 10px;
  }
}

.basket-container {
  display: grid;
  grid-template-columns: 1.5fr 0.5fr;
  grid-template-areas: 'goods-container basket-form';
}

.basket-form {
  display: flex;
  justify-content: center;
  grid-area: basket-form;
  & label {
    display: block;
    font-size: 18px;
    margin-top: 14px;
  }
  & input {
    border-radius: 6px;
    border: 1px solid rgb(107, 107, 107);
    padding: 8px;
    width: 100%;
    display: block;
    &.input-error {
      border: 1px solid rgb(185, 20, 20);
    }
    &.input-error + div {
      color: rgb(185, 20, 20);
    }
    &.input-error:focus {
      outline-color: rgb(185, 20, 20);
    }
  }
}

.checkout-button {
  margin-top: 14px;
  text-align: center;
  padding: 10px 12px;
  background-color: black;
  color: white;
  border: none;
  border-radius: 6px;
  cursor: pointer;
}

.goods-basket-container {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  justify-items: center;
  gap: 10px 0;
  grid-auto-rows: 500px;
}
